CVE-2023-47108

CVSS 3.1 Score 7.5 of 10 (high)

Details

Published Nov 10, 2023
Updated: Nov 20, 2023
CWE ID 770

Summary

CVE-2023-47108 is a vulnerability that affects OpenTelemetry-Go Contrib prior to version 0.46.0. The vulnerability lies in the grpc Unary Server Interceptor, which adds labels with unbound cardinality, leading to potential memory exhaustion when numerous malicious requests are sent. An attacker can exploit this vulnerability by flooding the peer address and port for requests. To remediate this issue, users can upgrade to version 0.46.0 or above. Alternatively, a workaround involves removing the attributes or disabling grpc metrics instrumentation using the otelgrpc.WithMeterProvider option with noop.NewMeterProvider. This vulnerability has a high severity rating and poses a potential danger to organizations as it could result in memory exhaustion and impact availability of affected systems.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-47108 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options